+ Post New Thread
Page 3 of 644 FirstFirst 1 2 3 4 5 13 53 103 503 ... LastLast
Threads 51 to 75 of 16100

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 93,299
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 76,295
    18th Sep 2006 10:46 pm Go to last post
  1. Plot sheetset file automatically

    Hello, I am interested in figuring out a way to automatically publish all the open sheetsets using the following criteria: - Automatically at a specified frequency (i.e. Nightly at 11pm) - Use a...

    Started by jwstimac‎, 7th Mar 2018 11:27 pm
    • Replies: 1
    • Views: 165
    8th Mar 2018 02:34 am Go to last post
  2. Crossing Window with One Layer Change to Another

    I am trying to code a routine that has the following pseudocode: Select objects window/crossing (these coordinates are known) Identify all text objects with a layer of “YYY” within that window...

    Started by GregGleason‎, 28th Feb 2018 12:05 am
    • Replies: 9
    • Views: 360
    6th Mar 2018 11:30 pm Go to last post
  3. Double offset with tapered end

    Hi, I need to offset a polyline to both sides but with a tapered end on both sides. Finally it must be a closed polyline. Is this possible with LISP? Greetzzz

    Started by gsc‎, 1st Mar 2018 03:31 pm
    3 Pages
    1 2 3
    • Replies: 25
    • Views: 861
    6th Mar 2018 02:02 pm Go to last post
  4. Insert and format text in word with visual lisp

    Hello I'm having trouble inserting a text file into word and trying to apply font formatting to it. Attached follows the RAR file containing LISP, text file, word model and aqruivo generated with...

    Started by hildevasco_br‎, 4th Mar 2018 09:31 pm
    • Replies: 0
    • Views: 190
    4th Mar 2018 09:31 pm Go to last post
  5. Add a custom command to open the VLIDE

    I have a few commands that I've created over the years and I've recently shared this file with coworkers and placed my LISP file on the net where several of us include it into our APPLOAD startup. ...

    Started by MSR‎, 15th Jan 2018 11:55 pm
    customizations, load lisp, open vlide
    • Replies: 2
    • Views: 362
    4th Mar 2018 12:12 am Go to last post
  6. place two polylines along another polyline at specific point

    Hi all! I am very sorry, but I am totally new to lisp, so I have no idea if it is possible to make such program. Maybe you can make it or help somehow? I need a program, that will place two...

    Started by Alex II‎, 3rd Mar 2018 09:12 pm
    • Replies: 0
    • Views: 209
    3rd Mar 2018 09:12 pm Go to last post
  7. rename a single block the refedit

    trying to rename a single block with out having to explode and re-block it, in mechainical it promped to save as a new block with a new base point when clicking save refence edit, when using 08 and...

    Started by flowerrobot‎, 30th May 2008 06:47 am
    2 Pages
    1 2
    • Replies: 13
    • Views: 20,836
    3rd Mar 2018 03:01 pm Go to last post
  8. LISP routine for customized valve toolbar

    Hi everyone, I have very little experience in writing LISP routines and would like to learn how to write a routine that will allow me to insert various valve blocks from a custom toolbar? Can...

    Started by CAD_Question‎, 2nd Mar 2018 11:29 pm
    • Replies: 4
    • Views: 279
    3rd Mar 2018 04:39 am Go to last post
  9. Center Point of Polar Array

    Working on a utility to rotate polar type array half the angle between items to create a stagger effect of multiple concentric arrays. As far as my research turned up, there is no lisp property...

    Started by eimimitu‎, 27th Feb 2018 07:01 pm
    3 Pages
    1 2 3
    • Replies: 24
    • Views: 1,249
    2nd Mar 2018 12:18 pm Go to last post
  10. Your favorite lisp

    I thought it would be interesting to get a thread going about your favorite lisp. As I've been frequenting this forum, my list of lisps is ever-growing. I have some I think are excellent for what I...

    Started by Nobull84‎, 24th Mar 2014 08:18 pm
    4 Pages
    1 2 3 ... 4
    • Replies: 35
    • Views: 9,960
    2nd Mar 2018 11:17 am Go to last post
  11. Help me on Aligning text with line angle

    Hi Friends, i need the text to get aligned automatically to the line angle as shown in attached sample1.dwg, text 1 should be always at top of the line & remaining(text 2,text 3 etc.,) all...

    Started by amb2301‎, 21st Feb 2018 08:48 pm
    • Replies: 6
    • Views: 396
    2nd Mar 2018 06:18 am Go to last post
  12. Can I create new layer by entmake function?

    I usually create new layer by command function. Example: (command "Layer" "N" MyLayer "L" MyLtype MyLayer "C" MyColor MyLayer "T" MyLayer "") I'd like to do it by entmake function. Can anyone help...

    Started by ssg‎, 10th Nov 2007 09:28 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 7,978
    2nd Mar 2018 01:25 am Go to last post
  13. tblsearch with wildcards or exit command early?

    Hi All Stumped again! I have written a simple lisp to add layouts and freeze/thaw relevant layers using wildcard searches. This works fine providing the layers exist (not always the case) but...

    Started by Esteban_CAD‎, 28th Feb 2018 05:30 pm
    • Replies: 2
    • Views: 220
    1st Mar 2018 07:10 pm Go to last post
  14. Lisp to display bearing and distance between two points

    Hi I have written a Lisp routine (shown below) that measures the distance between two points, and applies a scale factor that is written within the lisp, and displays it within the command line....

    Started by surveyscad2018‎, 28th Feb 2018 05:51 pm
    autolisp, lisp, lisp routine
    • Replies: 4
    • Views: 338
    1st Mar 2018 12:41 pm Go to last post
  15. Exclamation Pan command lisp

    The Pan command doesn't work on my mouse. The button died. :ouch: does anyone have a Pan lisp? the Pan version I am looking for is the Pan with the hand cursor. not -pan. I made this but it is...

    Started by Efeezy‎, 28th Feb 2018 10:27 pm
    2 Pages
    1 2
    pan command lisp
    • Replies: 13
    • Views: 354
    28th Feb 2018 11:38 pm Go to last post
  16. Concatenate Attributes

    Hello I have several blocks that contain the attributes "REPERE" "REPERE(A)" and "ALLUMAGE". How to concatenate in lisp (after selection) with "strcat" the attributes REPERE(A) and ALLUMAGE to...

    Started by SlalomeVr‎, 28th Feb 2018 09:44 am
    • Replies: 2
    • Views: 231
    28th Feb 2018 11:23 am Go to last post
  17. Multiple lines with user input..

    Hi Guys... can some one help me to develop a lisp... I need to draw multiple lines with user input Ex. Length, Number of lines, offset size also need draw vertical lines both ends 1/16"...

    Started by 2andygs‎, 2nd Feb 2018 06:40 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 846
    28th Feb 2018 04:32 am Go to last post
  18. new layer for every LINE

    Scenario i will make a line and that line will be on the new layer with its count is it possible to make a lisp that i can use that makes a layer and its count as the layer name??? so that every...

    Started by ktbjx‎, 25th Feb 2018 02:17 pm
    2 Pages
    1 2
    • Replies: 18
    • Views: 629
    28th Feb 2018 01:20 am Go to last post
  19. Idea Run a Script (.scr) on multiple file

    Hi, I need to run a scrit on multiple files and I would like it To chose wich SCR to run bas on the begining of the Name of the DWG File. In this case i have file with 2436, 3648 etc... and my...

    Started by Jord_91‎, 22nd Feb 2018 09:29 pm
    bat, command, insert block, lisp, script
    • Replies: 7
    • Views: 349
    27th Feb 2018 05:54 pm Go to last post
  20. Classicimage dialog

    Hi, i can't seem to get a dialog using this. Filedia is set to 1 however, using AutoCAD 2018 (defun C:IM () (command "classicimage")) or (defun C:IM () (command ".classicimage"))

    Started by halam‎, 27th Feb 2018 10:40 am
    • Replies: 2
    • Views: 197
    27th Feb 2018 02:09 pm Go to last post
  21. how to preview a pattern?

    How to preview a pattern? HighLight the select line and Refresh after modify a line.

    Started by belx‎, 11th Feb 2018 04:51 am
    • Replies: 6
    • Views: 476
    27th Feb 2018 01:57 pm Go to last post
  22. Remove string from item of list

    Hi everyone: I have a list like this: (" 1 -30.0000 1158.3733 1" " 25 -29.7469 1158.5000 1" " 138 -29.3861 1158.6920 1") How can I convert...

    Started by reza‎, 25th Feb 2018 06:59 am
    2 Pages
    1 2
    • Replies: 16
    • Views: 559
    27th Feb 2018 11:38 am Go to last post
  23. Embarrassed Attribute value to text within a block

    Dear forum members, Nice to meet you all Have a request I hope is not to complicated. I need a lisp that can "burst" attributes within a block insert. I don't care how the lisp will do this....

    Started by DGRL‎, 21st Feb 2018 08:40 am
    3 Pages
    1 2 3
    • Replies: 28
    • Views: 904
    26th Feb 2018 09:36 am Go to last post
  24. Convert from index colours to true colours

    Does anyone have a lisp routine to globally convert entities from index colour to rgb(true colour)? I found a routine that does it the opposite way around.

    Started by djguinan‎, 6th Jan 2012 05:01 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 10,166
    25th Feb 2018 08:15 pm Go to last post
  25. Select blocks by attribute TAG

    Hello...I find a lot of solution for select blocks by an attribute values, but I did not find any solution for select all blocks in a file that have an attributes with the same tag. For example I...

    Started by itacad‎, 12th Feb 2018 10:50 pm
    2 Pages
    1 2
    • Replies: 17
    • Views: 793
    25th Feb 2018 04:50 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts